AnsweredAssumed Answered

problem upgrading from 2.1 to 3 (alf_usage_delta)

Question asked by steve.tekell on Dec 29, 2008
Latest reply on Dec 31, 2008 by steve.tekell
While I have db.schema.update=true, it's not creating at least one table that it needs during and an upgrade  from 2.1CE to Labs 3c with MySQL.
So it fails saying  "Table 'alfresco.alf_usage_delta' doesn't exist."
It looks like there's no 3.0 dbscripts, so it's a problem with the 2.2 dbscripts.  upgrade-from-2.1.sql assumes that alf_usage_delta exists and there's no create script for it.  I guess I'll just create the table and see how far it gets.


The error:
10:08:54,775  ERROR [domain.schema.SchemaBootstrap] Statement execution failed:
   SQL: INSERT INTO t_alf_usage_delta
   (
      id, version,
      node_id,
      delta_size
   )
   SELECT
      ud.id, 1,
      ud.node_id,
      ud.delta_size
   FROM
      alf_usage_delta ud

   Error: Table 'alfresco.alf_usage_delta' doesn't exist
   File: /usr/local/tomcat/temp/Alfresco/AlfrescoSchemaUpdate-org.hibernate.dialect.MySQLInnoDBDialect-8962.sql
   Line: 441
10:08:54,777  ERROR [domain.schema.SchemaBootstrap] Schema auto-update failed
com.mysql.jdbc.exceptions.MySQLSyntaxErrorException: Table 'alfresco.alf_usage_delta' doesn't exist

Outcomes